Package org.eclipse.mat.ui.internal.query.arguments

## Enum LinkEditor.Mode

- java.lang.Object
- - java.lang.Enum<LinkEditor.Mode>
  - - org.eclipse.mat.ui.internal.query.arguments.LinkEditor.Mode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LinkEditor.Mode>`

Enclosing class:
  LinkEditor

    public static enum LinkEditor.Mode
    extends java.lang.Enum<LinkEditor.Mode>

### Enum Constant Summary

Enum Constants
`ADVANCED_MODE`
`SIMPLE_MODE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getModeType()`
`static LinkEditor.Mode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LinkEditor.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADVANCED_MODE

    public static final LinkEditor.Mode ADVANCED_MODE

#### SIMPLE_MODE

    public static final LinkEditor.Mode SIMPLE_MODE

### Method Detail

#### values

    public static LinkEditor.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LinkEditor.Mode c : LinkEditor.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LinkEditor.Mode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getModeType

    public java.lang.String getModeType()